Bug 244969 - mail/qmail-tls: Fails to build with security/openssl 1.1.1e,1
Summary: mail/qmail-tls: Fails to build with security/openssl 1.1.1e,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 245010
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-22 11:24 UTC by klokanek
Modified: 2020-05-25 18:06 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback+


Attachments
compile warnings & errors (3.41 KB, text/plain)
2020-03-24 19:07 UTC, klokanek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description klokanek 2020-03-22 11:24:59 UTC
port mail/qmail-tls doesn't build with openssl 1.1.1e,1 from ports 
(system is FreeBSD-RELEASE 11.3-p7, DEFAULT_VERSIONS+= ssl=openssl set in /etc/make.conf)

(build fails also with libressl, which is a long-time issue, so there is no way to build the port in this system configuration)




log follows:
--------------------------------------------

You may use the following build options:

WITH_BIG_CONCURRENCY_PATCH_CONCURRENCY_LIMIT=NUMBER
				(default NUMBER=)
				set this to a value reasonable for
				your system if you use the patch

===>   netqmail-tls-1.06.20160918_2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by netqmail-tls-1.06.20160918_2 for building
===>  Extracting for netqmail-tls-1.06.20160918_2
=> SHA256 Checksum OK for qmail/netqmail-1.06.tar.gz.
=> SHA256 Checksum OK for qmail/qmail-smtpd-auth-0.31.tar.gz.
=> SHA256 Checksum OK for qmail/qmail-smtpd-auth-close3.patch.
=> SHA256 Checksum OK for qmail/auth.patch.diff-tls-20110119.
=> SHA256 Checksum OK for qmail/qmail-103.patch.
=> SHA256 Checksum OK for qmail/netqmail-1.06-tls-20160918.patch.
=> SHA256 Checksum OK for qmail/qmail-block-executables.patch.
===>  Patching for netqmail-tls-1.06.20160918_2
===>  Applying distribution patches for netqmail-tls-1.06.20160918_2
===>  Applying extra patch /usr/ports/mail/qmail-tls/../qmail/files/extra-patch-amd64
===>  Applying extra patch /usr/ports/mail/qmail-tls/../qmail/files/extra-patch-utmpx
===>  Applying FreeBSD patches for netqmail-tls-1.06.20160918_2
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- auth.patch.orig	2002-05-10 00:41:20.000000000 -0500
|+++ auth.patch	2014-06-24 14:30:00.122166435 -0500
--------------------------
Patching file auth.patch using Plan A...
Hunk #1 succeeded at 14.
Hunk #2 succeeded at 176.
done
Hmm...  Looks like a new-style context diff to me...
The text leading up to this was:
--------------------------
|*** Makefile.orig	Mon Jun 15 05:53:16 1998
|--- Makefile	Fri May 10 00:31:38 2002
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 125 (offset -11 lines).
Hunk #2 succeeded at 1545 (offset 4 lines).
Hunk #3 succeeded at 1548 (offset -9 lines).
Hmm...  The next patch looks like a new-style context diff to me...
The text leading up to this was:
--------------------------
|
|
|*** TARGETS.orig	Mon Jun 15 05:53:16 1998
|--- TARGETS	Fri May 10 00:31:38 2002
--------------------------
Patching file TARGETS using Plan A...
Hunk #1 succeeded at 252 (offset 2 lines).
Hmm...  The next patch looks like a new-style context diff to me...
The text leading up to this was:
--------------------------
|
|
|*** qmail-smtpd.8.orig	Mon Jun 15 05:53:16 1998
|--- qmail-smtpd.8	Fri May 10 00:31:38 2002
--------------------------
Patching file qmail-smtpd.8 using Plan A...
Hunk #1 succeeded at 3.
Hunk #2 succeeded at 37 (offset 9 lines).
Hunk #3 succeeded at 256 (offset 52 lines).
Hmm...  The next patch looks like a new-style context diff to me...
The text leading up to this was:
--------------------------
|
|
|*** qmail-smtpd.c.orig	Mon Jun 15 05:53:16 1998
|--- qmail-smtpd.c	Fri May 10 00:33:35 2002
--------------------------
Patching file qmail-smtpd.c using Plan A...
Hunk #1 succeeded at 23.
Hunk #2 succeeded at 89 with fuzz 1 (offset 27 lines).
Hunk #3 succeeded at 254 with fuzz 2 (offset -23 lines).
Hunk #4 succeeded at 823 with fuzz 2 (offset 409 lines).
No such line 816 in input file, ignoring
Hunk #5 succeeded at 624 (offset -20 lines).
done
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- qmail-smtpd.c.orig	Sat Jan 18 09:13:50 2003
|+++ qmail-smtpd.c	Sat Jan 18 19:51:09 2003
--------------------------
Patching file qmail-smtpd.c using Plan A...
Hunk #1 succeeded at 854 (offset 395 lines).
done
===>   netqmail-tls-1.06.20160918_2 depends on file: /usr/local/lib/libcrypto.so.11 - found
===>   netqmail-tls-1.06.20160918_2 depends on executable: fakeroot - found
===>  Configuring for netqmail-tls-1.06.20160918_2
===>  Building for netqmail-tls-1.06.20160918_2
( cat warn-auto.sh;  echo CC=\'`head -1 conf-cc`\';  echo LD=\'`head -1 conf-ld`\'  ) > auto-ccld.sh
cat auto-ccld.sh make-load.sh > make-load
chmod 755 make-load
cat auto-ccld.sh find-systype.sh > find-systype
chmod 755 find-systype
./find-systype > systype
( cat warn-auto.sh; ./make-load "`cat systype`" ) > load
chmod 755 load
cat auto-ccld.sh make-compile.sh > make-compile
chmod 755 make-compile
( cat warn-auto.sh; ./make-compile "`cat systype`" ) >  compile
chmod 755 compile
( ( ./compile tryvfork.c && ./load tryvfork ) >/dev/null  2>&1  && cat fork.h2 || cat fork.h1 ) > fork.h
rm -f tryvfork.o tryvfork
./compile qmail-local.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
qmail-local.c:74:23: warning: implicit declaration of function 'unlink' is invalid in C99 [-Wimplicit-function-declaration]
void tryunlinktmp() { unlink(fntmptph); }
                      ^
qmail-local.c:91:6: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
 if (chdir(dir) == -1) { if (error_temp(errno)) _exit(1); _exit(2); }
     ^
qmail-local.c:92:8: warning: implicit declaration of function 'getpid' is invalid in C99 [-Wimplicit-function-declaration]
 pid = getpid();
       ^
qmail-local.c:94:2: warning: implicit declaration of function 'gethostname' is invalid in C99 [-Wimplicit-function-declaration]
 gethostname(host,sizeof(host));
 ^
qmail-local.c:106:4: warning: implicit declaration of function 'sleep' is invalid in C99 [-Wimplicit-function-declaration]
   sleep(2);
   ^
qmail-local.c:111:2: warning: implicit declaration of function 'alarm' is invalid in C99 [-Wimplicit-function-declaration]
 alarm(86400);
 ^
qmail-local.c:127:6: warning: implicit declaration of function 'fsync' is invalid in C99 [-Wimplicit-function-declaration]
 if (fsync(fd) == -1) goto fail;
     ^
qmail-local.c:128:6: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
 if (close(fd) == -1) goto fail; /* NFS dorks */
     ^
qmail-local.c:130:6: warning: implicit declaration of function 'link' is invalid in C99 [-Wimplicit-function-declaration]
 if (link(fntmptph,fnnewtph) == -1) goto fail;
     ^
qmail-local.c:186:2: warning: implicit declaration of function 'alarm' is invalid in C99 [-Wimplicit-function-declaration]
 alarm(30);
 ^
qmail-local.c:204:42: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
     if (flaglocked) seek_trunc(fd,pos); close(fd);
                                         ^
qmail-local.c:219:6: warning: implicit declaration of function 'fsync' is invalid in C99 [-Wimplicit-function-declaration]
 if (fsync(fd) == -1) goto writeerrs;
     ^
qmail-local.c:220:2: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
 close(fd);
 ^
qmail-local.c:246:6: warning: implicit declaration of function 'execv' is invalid in C99 [-Wimplicit-function-declaration]
     execv(*args,args);
     ^
qmail-local.c:322:4: warning: add explicit braces to avoid dangling else [-Wdangling-else]
   else
   ^
qmail-local.c:367:3: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  close(*fd);
  ^
qmail-local.c:490:6: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
 if (chdir(homedir) == -1)
     ^
17 warnings generated.
./compile qmail.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
qmail.c:29:7: warning: implicit declaration of function 'pipe' is invalid in C99 [-Wimplicit-function-declaration]
  if (pipe(pim) == -1) return -1;
      ^
qmail.c:30:26: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  if (pipe(pie) == -1) { close(pim[0]); close(pim[1]); return -1; }
                         ^
qmail.c:34:7: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
      close(pim[0]); close(pim[1]);
      ^
qmail.c:42:11: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
      if (chdir(auto_qmail) == -1) _exit(61);
          ^
qmail.c:43:7: warning: implicit declaration of function 'execv' is invalid in C99 [-Wimplicit-function-declaration]
      execv(*binqqargs,binqqargs);
      ^
qmail.c:47:21: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  qq->fdm = pim[1]; close(pim[0]);
                    ^
qmail.c:77:3: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  close(qq->fdm);
  ^
qmail.c:99:3: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  close(qq->fde);
  ^
8 warnings generated.
./compile quote.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile now.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile gfrom.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile myctime.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile slurpclose.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
slurpclose.c:13:44: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
    if (!stralloc_readyplus(sa,bufsize)) { close(fd); return -1; }
                                           ^
slurpclose.c:16:19: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
    if (r <= 0) { close(fd); return r; }
                  ^
2 warnings generated.
cat auto-ccld.sh make-makelib.sh > make-makelib
chmod 755 make-makelib
( cat warn-auto.sh; ./make-makelib "`cat systype`" ) >  makelib
chmod 755 makelib
./compile case_diffb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile case_diffs.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile case_lowerb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile case_lowers.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
case_lowers.c:7:12: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
  while (x = *s) {
         ~~^~~~
case_lowers.c:7:12: note: place parentheses around the assignment to silence this warning
  while (x = *s) {
           ^
         (     )
case_lowers.c:7:12: note: use '==' to turn this assignment into an equality comparison
  while (x = *s) {
           ^
           ==
1 warning generated.
./compile case_starts.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile case_startb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib case.a case_diffb.o case_diffs.o case_lowerb.o  case_lowers.o case_starts.o case_startb.o
./compile getln.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile getln2.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib getln.a getln.o getln2.o
./compile subgetopt.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sgetopt.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib getopt.a subgetopt.o sgetopt.o
./compile sig_alarm.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
( ( ./compile trysgprm.c && ./load trysgprm ) >/dev/null  2>&1  && echo \#define HASSIGPROCMASK 1 || exit 0 ) > hassgprm.h
rm -f trysgprm.o trysgprm
./compile sig_block.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
( ( ./compile trysgact.c && ./load trysgact ) >/dev/null  2>&1  && echo \#define HASSIGACTION 1 || exit 0 ) > hassgact.h
rm -f trysgact.o trysgact
./compile sig_catch.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_pause.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_pipe.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_child.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_hup.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_term.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_bug.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile sig_misc.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib sig.a sig_alarm.o sig_block.o sig_catch.o  sig_pause.o sig_pipe.o sig_child.o sig_hup.o sig_term.o  sig_bug.o sig_misc.o
./compile open_append.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile open_excl.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile open_read.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile open_trunc.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile open_write.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib open.a open_append.o open_excl.o open_read.o  open_trunc.o open_write.o
./compile seek_cur.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile seek_end.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile seek_set.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile seek_trunc.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib seek.a seek_cur.o seek_end.o seek_set.o  seek_trunc.o
( ( ./compile tryflock.c && ./load tryflock ) >/dev/null  2>&1  && echo \#define HASFLOCK 1 || exit 0 ) > hasflock.h
rm -f tryflock.o tryflock
./compile lock_ex.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile lock_exnb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile lock_un.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib lock.a lock_ex.o lock_exnb.o lock_un.o
./compile fd_copy.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
fd_copy.c:10:3: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  close(to);
  ^
1 warning generated.
./compile fd_move.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
fd_move.c:9:3: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  close(from);
  ^
1 warning generated.
./makelib fd.a fd_copy.o fd_move.o
( ( ./compile trywaitp.c && ./load trywaitp ) >/dev/null  2>&1  && echo \#define HASWAITPID 1 || exit 0 ) > haswaitp.h
rm -f trywaitp.o trywaitp
./compile wait_pid.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile wait_nohang.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib wait.a wait_pid.o wait_nohang.o
./compile env.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile envread.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
envread.c:12:19: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
  for (i = 0;envi = environ[i];++i)
             ~~~~~^~~~~~~~~~~~
envread.c:12:19: note: place parentheses around the assignment to silence this warning
  for (i = 0;envi = environ[i];++i)
                  ^
             (                )
envread.c:12:19: note: use '==' to turn this assignment into an equality comparison
  for (i = 0;envi = environ[i];++i)
                  ^
                  ==
1 warning generated.
./makelib env.a env.o envread.o
./compile stralloc_eady.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_pend.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_copy.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_opys.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_opyb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_cat.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_cats.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_catb.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile stralloc_arts.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib stralloc.a stralloc_eady.o stralloc_pend.o  stralloc_copy.o stralloc_opys.o stralloc_opyb.o  stralloc_cat.o stralloc_cats.o stralloc_catb.o  stralloc_arts.o
./compile alloc.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile alloc_re.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib alloc.a alloc.o alloc_re.o
./compile strerr_sys.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile strerr_die.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib strerr.a strerr_sys.o strerr_die.o
./compile substdio.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile substdi.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile substdo.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
substdo.c:20:17: warning: if statement has empty body [-Wempty-body]
    if (w == 0) ; /* luser's fault */
                ^
substdo.c:20:17: note: put the semicolon on a separate line to silence this warning
1 warning generated.
./compile subfderr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile subfdout.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile subfdouts.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile subfdin.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile subfdins.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile substdio_copy.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib substdio.a substdio.o substdi.o substdo.o  subfderr.o subfdout.o subfdouts.o subfdin.o subfdins.o  substdio_copy.o
./compile error.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile error_str.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile error_temp.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib error.a error.o error_str.o error_temp.o
./compile str_len.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_diff.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_diffn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_cpy.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_chr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_rchr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile str_start.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_chr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_rchr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_diff.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_copy.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_cr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile byte_zero.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib str.a str_len.o str_diff.o str_diffn.o str_cpy.o  str_chr.o str_rchr.o str_start.o byte_chr.o byte_rchr.o  byte_diff.o byte_copy.o byte_cr.o byte_zero.o
./compile fmt_str.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
fmt_str.c:9:22: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
  if (s) { while (ch = t[len]) s[len++] = ch; }
                  ~~~^~~~~~~~
fmt_str.c:9:22: note: place parentheses around the assignment to silence this warning
  if (s) { while (ch = t[len]) s[len++] = ch; }
                     ^
                  (          )
fmt_str.c:9:22: note: use '==' to turn this assignment into an equality comparison
  if (s) { while (ch = t[len]) s[len++] = ch; }
                     ^
                     ==
1 warning generated.
./compile fmt_strn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile fmt_uint.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile fmt_uint0.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile fmt_ulong.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile scan_ulong.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile scan_8long.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib fs.a fmt_str.o fmt_strn.o fmt_uint.o fmt_uint0.o  fmt_ulong.o scan_ulong.o scan_8long.o
./compile datetime.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile datetime_un.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./makelib datetime.a datetime.o datetime_un.o
./compile auto-str.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
auto-str.c:32:13: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
  while (ch = *value++) {
         ~~~^~~~~~~~~~
auto-str.c:32:13: note: place parentheses around the assignment to silence this warning
  while (ch = *value++) {
            ^
         (            )
auto-str.c:32:13: note: use '==' to turn this assignment into an equality comparison
  while (ch = *value++) {
            ^
            ==
1 warning generated.
./load auto-str substdio.a error.a str.a
./auto-str auto_qmail `head -1 conf-qmail` > auto_qmail.c
./compile auto_qmail.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile auto-int8.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
auto-int8.c:30:3: warning: implicit declaration of function 'scan_8long' is invalid in C99 [-Wimplicit-function-declaration]
  scan_8long(value,&num);
  ^
1 warning generated.
./load auto-int8 substdio.a error.a str.a fs.a
./auto-int8 auto_patrn `head -1 conf-patrn` > auto_patrn.c
./compile auto_patrn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
( ( ./compile trylsock.c &&  ./load trylsock -lsocket -lnsl ) >/dev/null 2>&1  && echo -lsocket -lnsl || exit 0 ) > socket.lib
rm -f trylsock.o trylsock
./load qmail-local qmail.o quote.o now.o gfrom.o myctime.o  slurpclose.o case.a getln.a getopt.a sig.a open.a seek.a  lock.a fd.a wait.a env.a stralloc.a alloc.a strerr.a  substdio.a error.a str.a fs.a datetime.a auto_qmail.o  auto_patrn.o  `cat socket.lib`
( ( ./compile tryulong32.c && ./load tryulong32 &&  ./tryulong32 ) >/dev/null 2>&1  && cat uint32.h2 || cat uint32.h1 ) > uint32.h
rm -f tryulong32.o tryulong32
./compile qmail-lspawn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
qmail-lspawn.c:95:7: warning: implicit declaration of function 'open_read' is invalid in C99 [-Wimplicit-function-declaration]
 fd = open_read("users/cdb");
      ^
qmail-lspawn.c:117:36: warning: implicit declaration of function 'byte_chr' is invalid in C99 [-Wimplicit-function-declaration]
     if (!flagwild || (i == 1) || (byte_chr(wildchars.s,wildchars.len,lower.s[i - 1]) < wildchars.len))
                                   ^
qmail-lspawn.c:129:10: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
         close(fd);
         ^
qmail-lspawn.c:138:4: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
   close(fd);
   ^
qmail-lspawn.c:141:6: warning: implicit declaration of function 'pipe' is invalid in C99 [-Wimplicit-function-declaration]
 if (pipe(pi) == -1) _exit(QLX_SYS);
     ^
qmail-lspawn.c:152:6: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
     close(pi[0]);
     ^
qmail-lspawn.c:154:6: warning: implicit declaration of function 'execv' is invalid in C99 [-Wimplicit-function-declaration]
     execv(*args,args);
     ^
qmail-lspawn.c:157:2: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
 close(pi[1]);
 ^
qmail-lspawn.c:187:8: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
   if (chdir(auto_qmail) == -1) _exit(QLX_USAGE);
       ^
qmail-lspawn.c:197:8: warning: implicit declaration of function 'byte_chr' is invalid in C99 [-Wimplicit-function-declaration]
   n = byte_chr(x,xlen,0); if (n++ == xlen) _exit(QLX_USAGE); x += n; xlen -= n;
       ^
qmail-lspawn.c:227:9: warning: implicit declaration of function 'getuid' is invalid in C99 [-Wimplicit-function-declaration]
   if (!getuid()) _exit(QLX_ROOT);
        ^
qmail-lspawn.c:229:4: warning: implicit declaration of function 'execv' is invalid in C99 [-Wimplicit-function-declaration]
   execv(*args,args);
   ^
12 warnings generated.
( ./compile trysysel.c >/dev/null 2>&1  && cat select.h2 || cat select.h1 ) > select.h
rm -f trysysel.o trysysel
./compile chkspawn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile auto-int.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./load auto-int substdio.a error.a str.a fs.a
./auto-int auto_spawn `head -1 conf-spawn` > auto_spawn.c
./compile auto_spawn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./load chkspawn substdio.a error.a str.a fs.a auto_spawn.o
./chkspawn
./compile spawn.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
spawn.c:47:8: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
       close(d[i].fdout); d[i].fdout = -1;
       ^
spawn.c:58:6: warning: implicit declaration of function 'write' is invalid in C99 [-Wimplicit-function-declaration]
 w = write(fd,buf,n);
     ^
spawn.c:61:19: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
 flagwriting = 0; close(fd);
                  ^
spawn.c:112:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  { close(fdmess); err("Zqmail-spawn unable to fstat message. (#4.3.0)\n"); return; }
    ^
spawn.c:114:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  { close(fdmess); err("ZSorry, message has wrong type. (#4.3.5)\n"); return; }
    ^
spawn.c:117:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  { close(fdmess); err("ZSorry, message has wrong owner. (#4.3.5)\n"); return; }
    ^
spawn.c:119:6: warning: implicit declaration of function 'pipe' is invalid in C99 [-Wimplicit-function-declaration]
 if (pipe(pi) == -1)
     ^
spawn.c:120:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
  { close(fdmess); err("Zqmail-spawn unable to create pipe. (#4.3.0)\n"); return; }
    ^
spawn.c:125:2: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
 close(fdmess);
 ^
spawn.c:143:6: warning: implicit declaration of function 'read' is invalid in C99 [-Wimplicit-function-declaration]
 r = read(0,cmdbuf,sizeof(cmdbuf));
     ^
spawn.c:190:6: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
 if (chdir(auto_qmail) == -1) _exit(111);
     ^
spawn.c:236:7: warning: implicit declaration of function 'read' is invalid in C99 [-Wimplicit-function-declaration]
         r = read(d[i].fdin,inbuf,128);
             ^
spawn.c:245:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
           close(d[i].fdin); d[i].used = 0;
           ^
spawn.c:248:47: warning: implicit declaration of function 'sleep' is invalid in C99 [-Wimplicit-function-declaration]
         while (!stralloc_readyplus(&d[i].output,r)) sleep(10); /*XXX*/
                                                     ^
14 warnings generated.
./compile chkshsgr.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
chkshsgr.c:7:6: warning: implicit declaration of function 'getgroups' is invalid in C99 [-Wimplicit-function-declaration]
 if (getgroups(1,x) == 0) if (setgroups(1,x) == -1) _exit(1);
     ^
chkshsgr.c:7:31: warning: implicit declaration of function 'setgroups' is invalid in C99 [-Wimplicit-function-declaration]
 if (getgroups(1,x) == 0) if (setgroups(1,x) == -1) _exit(1);
                              ^
2 warnings generated.
./load chkshsgr
./chkshsgr || ( cat warn-shsgr; exit 1 )
( ( ./compile tryshsgr.c  && ./load tryshsgr && ./tryshsgr ) >/dev/null 2>&1  && echo \#define HASSHORTSETGROUPS 1 || exit 0 ) >  hasshsgr.h
rm -f tryshsgr.o tryshsgr
./compile prot.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
prot.c:13:7: warning: implicit declaration of function 'setgroups' is invalid in C99 [-Wimplicit-function-declaration]
  if (setgroups(1,&gid) == -1) return -1;
      ^
prot.c:15:10: warning: implicit declaration of function 'setgid' is invalid in C99 [-Wimplicit-function-declaration]
  return setgid(gid); /* _should_ be redundant, but on some systems it isn't */
         ^
prot.c:20:10: warning: implicit declaration of function 'setuid' is invalid in C99 [-Wimplicit-function-declaration]
  return setuid(uid);
         ^
3 warnings generated.
./compile coe.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile cdb_hash.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile cdb_unpack.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./compile cdb_seek.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
cdb_seek.c:17:11: warning: implicit declaration of function 'read' is invalid in C99 [-Wimplicit-function-declaration]
      r = read(fd,buf,len);
          ^
1 warning generated.
./makelib cdb.a cdb_hash.o cdb_unpack.o cdb_seek.o
mv auto_uids.c.dist auto_uids.c
./compile auto_uids.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./load qmail-lspawn spawn.o prot.o slurpclose.o coe.o  sig.a wait.a case.a cdb.a fd.a open.a stralloc.a alloc.a  substdio.a error.a str.a fs.a auto_qmail.o auto_uids.o  auto_spawn.o
./compile qmail-getpw.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
qmail-getpw.c:48:6: warning: add explicit braces to avoid dangling else [-Wdangling-else]
            else
            ^
1 warning generated.
./auto-str auto_break  "`head -1 conf-break`" > auto_break.c
./compile auto_break.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./auto-str auto_usera `head -1 conf-users` > auto_usera.c
./compile auto_usera.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
./load qmail-getpw case.a substdio.a error.a str.a fs.a  auto_break.o auto_usera.o
./compile qmail-remote.c
cc: warning: argument unused during compilation: '-L/usr/local/lib' [-Wunused-command-line-argument]
qmail-remote.c:114:26: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers
      [-Wincompatible-pointer-types-discards-qualifiers]
  if (ssl_err_str) { out(ssl_err_str); out(" "); }
                         ^~~~~~~~~~~
qmail-remote.c:176:7: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
  get(&ch); code = ch - '0';
      ^~~
qmail-remote.c:177:7: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
  get(&ch); code = code * 10 + (ch - '0');
      ^~~
qmail-remote.c:178:7: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
  get(&ch); code = code * 10 + (ch - '0');
      ^~~
qmail-remote.c:180:9: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
    get(&ch);
        ^~~
qmail-remote.c:182:28: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types
      with different sign [-Wpointer-sign]
    while (ch != '\n') get(&ch);
                           ^~~
qmail-remote.c:183:9: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
    get(&ch);
        ^~~
qmail-remote.c:184:9: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
    get(&ch);
        ^~~
qmail-remote.c:185:9: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types with
      different sign [-Wpointer-sign]
    get(&ch);
        ^~~
qmail-remote.c:187:26: warning: passing 'unsigned char *' to parameter of type 'char *' converts between pointers to integer types
      with different sign [-Wpointer-sign]
  while (ch != '\n') get(&ch);
                         ^~~
qmail-remote.c:269:24: error: incomplete definition of type 'struct ssl_st'
  int state = ssl ? ssl->state : SSL_ST_BEFORE;
                    ~~~^
/usr/local/include/openssl/ossl_typ.h:148:16: note: forward declaration of 'struct ssl_st'
typedef struct ssl_st SSL;
               ^
qmail-remote.c:269:34: error: use of undeclared identifier 'SSL_ST_BEFORE'; did you mean 'TLS_ST_BEFORE'?
  int state = ssl ? ssl->state : SSL_ST_BEFORE;
                                 ^~~~~~~~~~~~~
                                 TLS_ST_BEFORE
/usr/local/include/openssl/ssl.h:992:5: note: 'TLS_ST_BEFORE' declared here
    TLS_ST_BEFORE,
    ^
qmail-remote.c:270:15: error: use of undeclared identifier 'SSL_ST_OK'; did you mean 'TLS_ST_OK'?
  if (state & SSL_ST_OK || (!smtps && state & SSL_ST_BEFORE))
              ^~~~~~~~~
              TLS_ST_OK
/usr/local/include/openssl/ssl.h:993:5: note: 'TLS_ST_OK' declared here
    TLS_ST_OK,
    ^
qmail-remote.c:270:47: error: use of undeclared identifier 'SSL_ST_BEFORE'; did you mean 'TLS_ST_BEFORE'?
  if (state & SSL_ST_OK || (!smtps && state & SSL_ST_BEFORE))
                                              ^~~~~~~~~~~~~
                                              TLS_ST_BEFORE
/usr/local/include/openssl/ssl.h:992:5: note: 'TLS_ST_BEFORE' declared here
    TLS_ST_BEFORE,
    ^
qmail-remote.c:337:7: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers
      [-Wincompatible-pointer-types-discards-qualifiers]
  out(s1); if (s2) { out(": "); out(s2); } TLS_QUIT;
      ^~
qmail-remote.c:337:37: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers
      [-Wincompatible-pointer-types-discards-qualifiers]
  out(s1); if (s2) { out(": "); out(s2); } TLS_QUIT;
                                    ^~
qmail-remote.c:391:43: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers
      [-Wincompatible-pointer-types-discards-qualifiers]
      out("ZNo TLS achieved while "); out(servercert);
                                          ^~~~~~~~~~
qmail-remote.c:453:11: warning: passing 'const char *' to parameter of type 'char *' discards qualifiers
      [-Wincompatible-pointer-types-discards-qualifiers]
      out(servercert); out(" exists"); TLS_QUIT;
          ^~~~~~~~~~
qmail-remote.c:490:29: warning: passing 'unsigned char *' to parameter of type 'const char *' converts between pointers to integer
      types with different sign [-Wpointer-sign]
          if (match_partner(gn->d.ia5->data, gn->d.ia5->length)){
                            ^~~~~~~~~~~~~~~
qmail-remote.c:341:31: note: passing argument to parameter 's' here
int match_partner(const char *s, int len)
                              ^
qmail-remote.c:505:60: error: incomplete definition of type 'struct X509_name_entry_st'
        const ASN1_STRING *s = X509_NAME_get_entry(subj, i)->value;
                               ~~~~~~~~~~~~~~~~~~~~~~~~~~~~^
/usr/local/include/openssl/x509.h:73:16: note: forward declaration of 'struct X509_name_entry_st'
typedef struct X509_name_entry_st X509_NAME_ENTRY;
               ^
qmail-remote.c:506:47: warning: assigning to 'char *' from 'unsigned char *const' converts between pointers to integer types with
      different sign [-Wpointer-sign]
        if (s) { peer.len = s->length; peer.s = s->data; }
                                              ^ ~~~~~~~
qmail-remote.c:697:7: warning: implicit declaration of function 'chdir' is invalid in C99 [-Wimplicit-function-declaration]
  if (chdir(auto_qmail) == -1) temp_chdir();
      ^
qmail-remote.c:706:21: warning: using the result of an assignment as a condition without parentheses [-Wparentheses]
      if (relayhost = constmap(&maproutes,host.s + i,host.len - i))
          ~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
qmail-remote.c:706:21: note: place parentheses around the assignment to silence this warning
      if (relayhost = constmap(&maproutes,host.s + i,host.len - i))
                    ^
          (                                                       )
qmail-remote.c:706:21: note: use '==' to turn this assignment into an equality comparison
      if (relayhost = constmap(&maproutes,host.s + i,host.len - i))
                    ^
                    ==
qmail-remote.c:737:21: warning: implicit declaration of function 'getpid' is invalid in C99 [-Wimplicit-function-declaration]
  random = now() + (getpid() << 16);
                    ^
qmail-remote.c:779:5: warning: implicit declaration of function 'close' is invalid in C99 [-Wimplicit-function-declaration]
    close(smtpfd);
    ^
20 warnings and 5 errors generated.
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/mail/qmail-tls/work/netqmail-1.06
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/mail/qmail-tls
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/qmail-tls
Comment 1 erdgeist 2020-03-23 14:03:46 UTC
That's weird. It's compiling just fine here:

root@jitsitest:/etc # less make.conf 
DEFAULT_VERSIONS+=ssl=openssl
root@jitsitest:/etc # uname -a
FreeBSD jitsitest 12.1-RELEASE FreeBSD 12.1-RELEASE r354233 GENERIC  amd64
root@jitsitest:/etc # pkg info | grep openssl
openssl-1.1.1e,1               TLSv1.3 capable SSL and crypto library
root@jitsitest:/usr/ports/mail/qmail-tls # make

...

===>  Staging for netqmail-tls-1.06.20160918_2
===>   netqmail-tls-1.06.20160918_2 depends on file: /usr/local/lib/libcrypto.so.11 - found

Any clue?

  erdgeist
Comment 2 erdgeist 2020-03-23 18:02:43 UTC
While I was at it, I bumped the port to the most recent netqmail-tls patch version:   https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245010

Best

  erdgeist
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-24 03:19:19 UTC
(In reply to erdgeist from comment #2)

Does bug 245010 resolve this issue, or is it unrealted (given it doesnt appear to be reproducible yet?) If so, please add that bug ID to this issues "depends on" field
Comment 4 klokanek 2020-03-24 18:37:09 UTC
(In reply to erdgeist from comment #2)
seems this fixed the problem! now builds well. thanks!
Comment 5 klokanek 2020-03-24 19:07:20 UTC
Created attachment 212677 [details]
compile warnings & errors

btw - it still fails to build against libressl (3.0.2)
Comment 6 commit-hook freebsd_committer 2020-05-24 12:59:57 UTC
A commit references this bug:

Author: pi
Date: Sun May 24 12:59:03 UTC 2020
New revision: 536399
URL: https://svnweb.freebsd.org/changeset/ports/536399

Log:
  mail/qmail: Fixes CVE-2005-1513 to CVE-2005-1513, update TLS patch
  mail/qmail-tls: Update TLS patch

  See
  https://www.qualys.com/2020/05/19/cve-2005-1513/remote-code-execution-qmail.txt
  for details about the CVEs

  - now builds with openssl 1.1.1e from the ports

  PR:		244969, 245010
  Submitted by:	erdgeist@erdgeist.org (maintainer)
  Reported by:	klokanek@eldar.cz
  MFH:		2020Q2
  Security:	CVE-2005-1513, CVE-2005-1514, CVE-2005-1515

Changes:
  head/mail/qmail/Makefile
  head/mail/qmail/distinfo
  head/mail/qmail/files/patch-alloc.c
  head/mail/qmail/files/qmailsend.in
  head/mail/qmail-mysql/Makefile
  head/mail/qmail-tls/Makefile
Comment 7 commit-hook freebsd_committer 2020-05-24 13:05:00 UTC
A commit references this bug:

Author: pi
Date: Sun May 24 13:04:06 UTC 2020
New revision: 536400
URL: https://svnweb.freebsd.org/changeset/ports/536400

Log:
  MFH: r536399

  mail/qmail: Fixes CVE-2005-1513 to CVE-2005-1513, update TLS patch
  mail/qmail-tls: Update TLS patch

  See
  https://www.qualys.com/2020/05/19/cve-2005-1513/remote-code-execution-qmail.txt
  for details about the CVEs

  - now builds with openssl 1.1.1e from the ports

  PR:		244969, 245010
  Submitted by:	erdgeist@erdgeist.org (maintainer)
  Reported by:	klokanek@eldar.cz
  Security:	CVE-2005-1513, CVE-2005-1514, CVE-2005-1515
  Approved by:	portmgr (security blanket)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/mail/qmail/Makefile
  branches/2020Q2/mail/qmail/distinfo
  branches/2020Q2/mail/qmail/files/patch-alloc.c
  branches/2020Q2/mail/qmail/files/qmailsend.in
  branches/2020Q2/mail/qmail-mysql/Makefile
  branches/2020Q2/mail/qmail-tls/Makefile
Comment 8 Kurt Jaeger freebsd_committer 2020-05-25 18:06:06 UTC
Fixed with r536399.